Bug 430130 - iscsi modules need to set the module reference in the host template
iscsi modules need to set the module reference in the host template
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Mike Christie
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 13:05 EST by Mike Christie
Modified: 2008-05-21 11:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to set module reference (1.19 KB, patch)
2008-01-24 13:59 EST, Mike Christie
no flags Details | Diff

  None (edit)
Description Mike Christie 2008-01-24 13:05:56 EST
Description of problem:

If the iscsi modules do not set the module reference in the scsi host template
then if iscsi is shutdown and other entities are holding a reference then they
will be referencing bad memory.

Version-Release number of selected component (if applicable):


How reproducible:

everytime


Steps to Reproduce:
1. start iscsi
2. start multipath
3. stop iscsi 
4. stop multipath and get oops
  


Actual results:

You get an oops

Expected results:

should not get a oops and the system should gracefully handle the out of order
shutdown.


Additional info:

Patch is upstream here:

http://git.kernel.org/?p=linux/kernel/git/jejb/scsi-misc-2.6.git;a=commitdiff;h=7974392c0b0d4e7a2a17ca3597d51a29b9841aa5
Comment 2 RHEL Product and Program Management 2008-01-24 13:07:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Tom Coughlan 2008-01-24 13:20:28 EST
Mike says this is not critical for 1st beta release. It should go in an early 
snapshot.   
Comment 4 Mike Christie 2008-01-24 13:59:40 EST
Created attachment 292841 [details]
patch to set module reference

Here is the patch I am sending to rh kernel. It is a really simple two liner.
Comment 6 Don Zickus 2008-01-30 12:02:01 EST
in 2.6.18-76.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2008-05-21 11:07:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.